> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.gorilladash.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.gorilladash.com/_mcp/server.

# Get Tribe Search

POST https://api.gorilladash.com/api/v1/tribes/search
Content-Type: application/json

Reference: https://docs.gorilladash.com/gorilla-dash-rest-ful-api/tribe/get-tribe-search

## Authentication

- `GorillaDash-Api-Key` header (required) — Gorilla Dash API Key. Issued per organisation or tribe.
- `GorillaDash-Api-Secret` header (required) — Gorilla Dash API Secret. Sent alongside the API key on every request.

## Request

### Query parameters

- `results` (integer, optional) — Default return 5 records

### Headers

- `X-Requested-With` (string, optional)

### Body (application/json)

- `string`

## Response

### 201

Created

- `status` (integer, required)
- `success` (boolean, required)
- `data` (list of object, required)
  - `id` (integer, required)
  - `organisation_id` (integer, required)
  - `name` (string, required)
  - `slug` (string, required)
  - `country` (string, required)
  - `postal_code` (string, required)
  - `state` (string, required)
  - `locality` (string, required)
  - `address_1` (string, required)
  - `latitude` (integer, required)
  - `longitude` (integer, required)
  - `global_id` (any, optional)
  - `address_2` (any, optional)

## Examples

**Request**

```json
"{\n    // \"name\": \"Gladesville\", // search by name\n    // \"tribe_id\": 1, // search by tribe id\n    // \"tribe_slug\": \"\", // search by tribe slug\n    // \"global_id\": \"\", // search by tribe global id\n    \"address\": \"Lynnfield, MA 01940\" // search by address\n    // \"latitude\": \"-33.82763350\", // search by latitude\n    // \"longitude\": \"151.12609270\" // search by longtitude\n}"
```

**Response**

```json
{
  "status": 201,
  "success": true,
  "data": [
    {
      "id": 1,
      "organisation_id": 1,
      "name": "Demo",
      "slug": "demo",
      "country": "Australia",
      "postal_code": "2111",
      "state": "New South Wales",
      "locality": "Gladesville",
      "address_1": "Buffalo Road",
      "latitude": -33,
      "longitude": 151
    }
  ]
}
```

**SDK Code**

```python Tribe_Get Tribe Search_example
import requests

url = "https://api.gorilladash.com/api/v1/tribes/search"

querystring = {"results":"10"}

payload = "{
    // \"name\": \"Gladesville\", // search by name
    // \"tribe_id\": 1, // search by tribe id
    // \"tribe_slug\": \"\", // search by tribe slug
    // \"global_id\": \"\", // search by tribe global id
    \"address\": \"Lynnfield, MA 01940\" // search by address
    // \"latitude\": \"-33.82763350\", // search by latitude
    // \"longitude\": \"151.12609270\" // search by longtitude
}"
headers = {
    "X-Requested-With": "XMLHttpRequest",
    "GorillaDash-Api-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript Tribe_Get Tribe Search_example
const url = 'https://api.gorilladash.com/api/v1/tribes/search?results=10';
const options = {
  method: 'POST',
  headers: {
    'X-Requested-With': 'XMLHttpRequest',
    'GorillaDash-Api-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '"{\n    // \"name\": \"Gladesville\", // search by name\n    // \"tribe_id\": 1, // search by tribe id\n    // \"tribe_slug\": \"\", // search by tribe slug\n    // \"global_id\": \"\", // search by tribe global id\n    \"address\": \"Lynnfield, MA 01940\" // search by address\n    // \"latitude\": \"-33.82763350\", // search by latitude\n    // \"longitude\": \"151.12609270\" // search by longtitude\n}"'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Tribe_Get Tribe Search_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.gorilladash.com/api/v1/tribes/search?results=10"

	payload := strings.NewReader("\"{\\n    // \\\"name\\\": \\\"Gladesville\\\", // search by name\\n    // \\\"tribe_id\\\": 1, // search by tribe id\\n    // \\\"tribe_slug\\\": \\\"\\\", // search by tribe slug\\n    // \\\"global_id\\\": \\\"\\\", // search by tribe global id\\n    \\\"address\\\": \\\"Lynnfield, MA 01940\\\" // search by address\\n    // \\\"latitude\\\": \\\"-33.82763350\\\", // search by latitude\\n    // \\\"longitude\\\": \\\"151.12609270\\\" // search by longtitude\\n}\"")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Requested-With", "XMLHttpRequest")
	req.Header.Add("GorillaDash-Api-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Tribe_Get Tribe Search_example
require 'uri'
require 'net/http'

url = URI("https://api.gorilladash.com/api/v1/tribes/search?results=10")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Requested-With"] = 'XMLHttpRequest'
request["GorillaDash-Api-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "\"{\\n    // \\\"name\\\": \\\"Gladesville\\\", // search by name\\n    // \\\"tribe_id\\\": 1, // search by tribe id\\n    // \\\"tribe_slug\\\": \\\"\\\", // search by tribe slug\\n    // \\\"global_id\\\": \\\"\\\", // search by tribe global id\\n    \\\"address\\\": \\\"Lynnfield, MA 01940\\\" // search by address\\n    // \\\"latitude\\\": \\\"-33.82763350\\\", // search by latitude\\n    // \\\"longitude\\\": \\\"151.12609270\\\" // search by longtitude\\n}\""

response = http.request(request)
puts response.read_body
```

```java Tribe_Get Tribe Search_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.gorilladash.com/api/v1/tribes/search?results=10")
  .header("X-Requested-With", "XMLHttpRequest")
  .header("GorillaDash-Api-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("\"{\\n    // \\\"name\\\": \\\"Gladesville\\\", // search by name\\n    // \\\"tribe_id\\\": 1, // search by tribe id\\n    // \\\"tribe_slug\\\": \\\"\\\", // search by tribe slug\\n    // \\\"global_id\\\": \\\"\\\", // search by tribe global id\\n    \\\"address\\\": \\\"Lynnfield, MA 01940\\\" // search by address\\n    // \\\"latitude\\\": \\\"-33.82763350\\\", // search by latitude\\n    // \\\"longitude\\\": \\\"151.12609270\\\" // search by longtitude\\n}\"")
  .asString();
```

```php Tribe_Get Tribe Search_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.gorilladash.com/api/v1/tribes/search?results=10', [
  'body' => '"{\\n    // \\"name\\": \\"Gladesville\\", // search by name\\n    // \\"tribe_id\\": 1, // search by tribe id\\n    // \\"tribe_slug\\": \\"\\", // search by tribe slug\\n    // \\"global_id\\": \\"\\", // search by tribe global id\\n    \\"address\\": \\"Lynnfield, MA 01940\\" // search by address\\n    // \\"latitude\\": \\"-33.82763350\\", // search by latitude\\n    // \\"longitude\\": \\"151.12609270\\" // search by longtitude\\n}"',
  'headers' => [
    'Content-Type' => 'application/json',
    'GorillaDash-Api-Key' => '<apiKey>',
    'X-Requested-With' => 'XMLHttpRequest',
  ],
]);

echo $response->getBody();
```

```csharp Tribe_Get Tribe Search_example
using RestSharp;

var client = new RestClient("https://api.gorilladash.com/api/v1/tribes/search?results=10");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Requested-With", "XMLHttpRequest");
request.AddHeader("GorillaDash-Api-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "\"{\\n    // \\\"name\\\": \\\"Gladesville\\\", // search by name\\n    // \\\"tribe_id\\\": 1, // search by tribe id\\n    // \\\"tribe_slug\\\": \\\"\\\", // search by tribe slug\\n    // \\\"global_id\\\": \\\"\\\", // search by tribe global id\\n    \\\"address\\\": \\\"Lynnfield, MA 01940\\\" // search by address\\n    // \\\"latitude\\\": \\\"-33.82763350\\\", // search by latitude\\n    // \\\"longitude\\\": \\\"151.12609270\\\" // search by longtitude\\n}\"", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Tribe_Get Tribe Search_example
import Foundation

let headers = [
  "X-Requested-With": "XMLHttpRequest",
  "GorillaDash-Api-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = "{
    // \"name\": \"Gladesville\", // search by name
    // \"tribe_id\": 1, // search by tribe id
    // \"tribe_slug\": \"\", // search by tribe slug
    // \"global_id\": \"\", // search by tribe global id
    \"address\": \"Lynnfield, MA 01940\" // search by address
    // \"latitude\": \"-33.82763350\", // search by latitude
    // \"longitude\": \"151.12609270\" // search by longtitude
}" as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.gorilladash.com/api/v1/tribes/search?results=10")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```